import type { _NSData } from "../Foundation/NSData.js";
import type { _NSHTTPURLResponse } from "../Foundation/NSHTTPURLResponse.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _ILNetworkResponse extends _NSObject {
    static alloc(): _ILNetworkResponse;
    static new(): _ILNetworkResponse;
    init(): _ILNetworkResponse;
    /** Represents the URL response itself. See documentation for NSHTTPURLResponse. */
    urlResponse(): _NSHTTPURLResponse;
    /** Data returned in the HTTPS response. */
    data(): _NSData;
}
export interface _ILNetworkResponse extends _NSSecureCoding {
}
